package com.xhpc.system.service;

import com.xhpc.system.domain.XhpcTenantDomain;

import java.util.List;
import java.util.Map;

public interface XhpcTenantService {

    List<XhpcTenantDomain> getPage(Map<String, Object> params);


    List<Map<String, Object>> getNameList(String tenantId);

    XhpcTenantDomain getInfoByPk(String tenantId);

    boolean insertTenant(XhpcTenantDomain domain);

    boolean updateTenantInfo(XhpcTenantDomain domain);

    boolean updateTenantStatus(XhpcTenantDomain domain);

    boolean updateTenantConfig(XhpcTenantDomain domain);

    boolean deleteByPk(String tenantId);
}
